Queue checks for every lane
curl --request POST \
--url https://intentleads.si/api/v1/checks \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"lanes": {
"L1": "queued",
"L2": "in_progress",
"L3": "no_live_keywords"
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Queue checks for every lane
Queues a fresh full check for every lane that can be checked. Always returns 202 with one result per lane code: queued, in_progress (already running), no_live_keywords, not_configured, no_data or failed. Lanes that can’t be checked are reported, not errors.
Free. This doesn’t use any contacts from your plan.
POST
/
api
/
v1
/
checks
Queue checks for every lane
curl --request POST \
--url https://intentleads.si/api/v1/checks \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"lanes": {
"L1": "queued",
"L2": "in_progress",
"L3": "no_live_keywords"
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}